Installer - Bug #13496

foreman-installer error when locale is not en_US.utf8
02/01/2016 08:03 AM - Grégoire Bellon-Gervais

Status: New

Priority: Low

Assignee:

Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.1
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/puppet-for
eman/pull/417
Description
Hello,

I'm under debian 8 and my locales are set to en_GB.UTF-8.

I have followed the debian dedicated documentation, | just add the repositories and | install foreman-installer', then | execute the
command :

foreman-installer

Then, | got the following errors :

/Stage[main] /Foreman: :Database: :Postgresqgl/Postgresgl: :Server: :Db[foreman] /Postgresgl: :Server: :Da

tabase[foreman] /Exec[/usr/lib/postgresgl/9.4/bin/createdb —--port='5432"' —-owner='foreman' --templa
te=template0 —--encoding 'utf8' --locale=en_US.utf8 'foreman']: Failed to call refresh: /usr/lib/p
ostgresql/9.4/bin/createdb —--port='5432' —--owner='foreman' --template=template0 —-—-encoding 'utf8'
——locale=en_US.utf8 'foreman' returned 1 instead of one of [0]

In postgresl error log, we can see this error :

2016-02-01 12:10:49 CET [4258-1] postgres@postgres ERROR: invalid locale name: "en_US.utf8"

Just adding locale 'en_US.utf8' using the command :

dpkg-reconfigure locales
And selecting "en_US.UTF-8 UTF-8" in the first screen "Locales to be generated" do the trick.

Thanks for your great tool.

Related issues:
Related to Installer - Bug #11681: foreman, candlepin, gutterball databases u... Closed 09/03/2015

Associated revisions

Revision 24fef3b1 - 03/29/2016 03:13 AM - Michael Moll
refs #13496 - add locale hint to readme [ci skip]

Closes GH-417

History

#1 - 02/01/2016 10:46 AM - Dominic Cleal
- Tracker changed from Support to Bug
- Project changed from Foreman to Installer

- Category changed from Internationalization to Foreman modules

#2 - 02/01/2016 10:47 AM - Dominic Cleal
- Related to Bug #11681: foreman, candlepin, gutterball databases use default encoding vs explicit UTF8 added

#3 - 02/05/2016 03:17 AM - Dominic Cleal

- translation missing: en.field_release set to 123

#4 - 02/08/2016 11:22 AM - Anonymous

I'm a bit unsure what to do here. We could check the presence of that locale in a pre-hook, but probably that's also an issue for remote DB setups, so
it might be just best to document that?

#5 - 02/08/2016 11:25 AM - Ewoud Kohl van Wijngaarden
| think we should do both.

#6 - 02/09/2016 03:02 AM - Dominic Cleal

Yeah, probably both. We could also perhaps have a fact to detect a non-en_US UTF-8 locale as a fallback?

#7 - 02/09/2016 04:38 AM - Ewoud Kohl van Wijngaarden

| can't judge how well non-en_US UTF-8 locales would work or if it may introduce subtle bugs. With en_GB that's unlikely, but for others | don't what it
would do.

#8 - 02/09/2016 04:41 AM - Grégoire Bellon-Gervais

If you need, | can perform some tests with "exotic" locales.

#9 - 02/23/2016 06:07 AM - Dominic Cleal

- translation missing: en.field_release changed from 123 to 145

#10 - 03/25/2016 02:20 PM - Anonymous
- Pull request https://github.com/theforeman/puppet-foreman/pull/417 added

| added a sentence to the theforeman-foreman readme, maybe this also should go to the quickstart/installer docs? As said, as | think this is mainly
about the locale being available at the database node and it must be checked there | think it doesn't make sense to check in an installer hook.

#11 - 03/30/2016 08:25 AM - Dominic Cleal

- translation missing: en.field_release deleted (145)
